package com.ssj.bean.kmt.kmt.domain;

import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;

@Entity
@Table(name = "kmt_img_face")
public class KmtImgFace extends BaseEntity{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String teacherId;
	
	private String vipId;
	
	private String studentName;

	private String teacherName;
	
	private String grade;
	
	private String courseTime;
	
	private String startTime;
	
	private String courseKnowId;

	private Date createTime;

	private String courseId;
	
	private List<KmtImgFaceDetail> kmtImgFaceDetails;
	
	private List<KmtImgManage> kmtImgManages;

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getCourseTime() {
		return courseTime;
	}

	public void setCourseTime(String courseTime) {
		this.courseTime = courseTime;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@OneToMany(cascade = { CascadeType.REFRESH}, fetch=FetchType.EAGER)
	@JoinColumn(name="faceId",updatable =false,insertable =false)
	@Fetch(FetchMode.SELECT)
	public List<KmtImgFaceDetail> getKmtImgFaceDetails() {
		return kmtImgFaceDetails;
	}

	public void setKmtImgFaceDetails(List<KmtImgFaceDetail> kmtImgFaceDetails) {
		this.kmtImgFaceDetails = kmtImgFaceDetails;
	}
	
	@OneToMany(cascade = { CascadeType.REFRESH}, fetch=FetchType.EAGER)
	@JoinColumn(name="joinId",updatable =false,insertable =false)
	@Fetch(FetchMode.SELECT)
	public List<KmtImgManage> getKmtImgManages() {
		return kmtImgManages;
	}

	public void setKmtImgManages(List<KmtImgManage> kmtImgManages) {
		this.kmtImgManages = kmtImgManages;
	}

	public String getCourseKnowId() {
		return courseKnowId;
	}

	public void setCourseKnowId(String courseKnowId) {
		this.courseKnowId = courseKnowId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}
}
